# CopyLocationConstraint(Constraint)

base classes — `bpy_struct`, `Constraint`

class `bpy.types.``CopyLocationConstraint`(Constraint)

  Copy the location of the target

  `head_tail`

    Target along length of bone: Head=0, Tail=1

    Type: | float in [0, 1], default 0.0

  `invert_x`

    Invert the X location

    Type: | boolean, default False

  `invert_y`

    Invert the Y location

    Type: | boolean, default False

  `invert_z`

    Invert the Z location

    Type: | boolean, default False

  `subtarget`

    Type: | string, default “”, (never None)

  `target`

    Target Object

    Type: | `Object`

  `use_offset`

    Add original location into copied location

    Type: | boolean, default False

  `use_x`

    Copy the target’s X location

    Type: | boolean, default False

  `use_y`

    Copy the target’s Y location

    Type: | boolean, default False

  `use_z`

    Copy the target’s Z location

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Constraint.name` `Constraint.type` `Constraint.owner_space` `Constraint.target_space` `Constraint.mute` `Constraint.show_expanded` | `Constraint.is_valid` `Constraint.active` `Constraint.is_proxy_local` `Constraint.influence` `Constraint.error_location` `Constraint.error_rotation`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`